# Uses of Interface
org.apache.sling.testing.mock.jcr.MockQueryResultHandler

## Uses of MockQueryResultHandler in org.apache.sling.testing.mock.jcr

Methods in org.apache.sling.testing.mock.jcr with parameters of type MockQueryResultHandler
Modifier and Type
Method
Description
`static void`
MockJcr.`addQueryResultHandler(@NotNull javax.jcr.query.QueryManager queryManager, @NotNull MockQueryResultHandler resultHandler)`
Adds a query result handler for the given query manager which may return query results for certain queries that are executed.
`static void`
MockJcr.`addQueryResultHandler(@NotNull javax.jcr.Session session, @NotNull MockQueryResultHandler resultHandler)`
Adds a query result handler for the given query manager which may return query results for certain queries that are executed.